#language: ru

@CheckingCustomerOrders

Функционал: 006. CheckingCustomerOrders. Проверки заказов клиентов

Сценарий: 006.1. CheckingCustomerOrders. Состояния документов

	Дано Я подключаюсь под "Проверка заказов клиентов"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.006. Проверки заказов клиентов"
	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Состояния документов'
	Тогда открылось окно 'Состояния документов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Создан'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Создан (Состояние документа)'
	И я устанавливаю флаг 'Использовать проверки'
	И я снимаю флаг 'Формировать план отгрузки'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Создан (Состояние документа) *' в течение 20 секунд
	Тогда открылось окно 'Состояния документов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Проверки успешны' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Проверки успешны (Состояние документа)'
	И я нажимаю кнопку выбора у поля "Цвет оформления"
	Тогда открылось окно 'Выбор цвета'
	И я нажимаю на кнопку с именем 'ВыборЦвета_A8D08D'
	Тогда открылось окно 'Проверки успешны (Состояние документа)'
	И я устанавливаю флаг 'Формировать план отгрузки'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Проверки успешны (Состояние документа) *' в течение 20 секунд
	Тогда открылось окно 'Состояния документов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Проверки не успешны' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Проверки не успешны (Состояние документа)'
	И я снимаю флаг 'Запрет отгрузки'
	И я устанавливаю флаг 'Запрет отгрузки'
	И я устанавливаю флаг 'Запрет выполнения движений'
	И я устанавливаю флаг 'Использовать проверки'
	И я снимаю флаг 'Формировать план отгрузки'
	И я нажимаю кнопку выбора у поля "Цвет оформления"
	Тогда открылось окно 'Выбор цвета'
	И я нажимаю на кнопку 'Другие цвета...'
	Тогда открылось окно 'Выбор цвета'
	И в таблице "" я перехожу к строке:
		| 'Колонка2'     |
		| 'Особый текст' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Проверки не успешны (Состояние документа) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Проверки не успешны (Состояние документа) *' в течение 20 секунд
	Тогда открылось окно 'Состояния документов'
	И Я закрываю окно 'Состояния документов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 006.2. CheckingCustomerOrders. Установка проверок заказов клиента
	
	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Проверки документов'
	Тогда открылось окно 'Проверки документов'
	И Я устанавливаю использование проверки "Ассортимент товаров" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "Минимальная сумма" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "Кратность отгрузки" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "Просроченная дебиторская задолженность" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "Дебиторская задолженность" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "График доставки" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "Сезонность продукции" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "Товар доступен для продаж" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "Допустимая сумма отгрузок" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "Допустимый объем отгрузок" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "Количество дней отсрочки платежа" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "Время приема заказа" для документа "Документ.ЗаказКлиента"
	И Я устанавливаю использование проверки "Цены" для документа "Документ.ЗаказКлиента"
	И Я закрываю окно 'Проверки документов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 006.3. CheckingCustomerOrders. Добавление условий для проверок в соглашения с контрагентами

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Соглашения с контрагентами'
	Тогда открылось окно 'Соглашения с контрагентами'
	* Установка минимальной суммы заказа, максимальной задолженности и количесва дней отсрочки платежа
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                               |
			| 'Соглашение для Ашана по региону без скидки' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Соглашение для Ашана по региону без скидки (Соглашение с контрагентом)'
		И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
		И я перехожу к закладке "Ценовые условия"
		И я устанавливаю флаг 'Проверять по спецификации'
		И в поле 'Минимальная сумма заказа' я ввожу текст '1 000,000'
		И в поле с именем "МаксимальнаяЗадолженность" я ввожу текст '10 000,000'
		И я устанавливаю флаг с именем 'ЗапрещатьОтгрузкуПоДням'
		И в поле с именем "КоличествоДнейОтсрочкиПлатежа" я ввожу текст '3'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Соглашение для Ашана по региону без скидки (Соглашение с контрагентом) *' в течение 20 секунд
		Тогда открылось окно 'Соглашения с контрагентами'
	* Установка максимальной суммы отгрузки
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                               |
			| 'Соглашение для Ашана по Скидочному региону' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Соглашение для Ашана по Скидочному региону (Соглашение с контрагентом)'
		И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
		И я перехожу к закладке "Ценовые условия"
		И в поле 'Максимальная сумма отгрузки' я ввожу текст '50 000,000'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Соглашение для Ашана по Скидочному региону (Соглашение с контрагентом) *' в течение 20 секунд
		Тогда открылось окно 'Соглашения с контрагентами'
	* Установка максимальной просроченной задолженности
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'               |
			| 'Соглашение для Перекресток' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Соглашение для Перекресток (Соглашение с контрагентом)'
		И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
		И я перехожу к закладке "Ценовые условия"
		И в поле 'Максимальная просроченная задолженность' я ввожу текст '3 000,000'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Соглашение для Перекресток (Соглашение с контрагентом) *' в течение 20 секунд
		Тогда открылось окно 'Соглашения с контрагентами'
	И Я закрываю окно 'Соглашения с контрагентами'

Сценарий: 006.4. CheckingCustomerOrders. Заполнение регистра Спецификации соглашений с клиентами

	Дано я удаляю все элементы таблицы "РегистрСведений.к2СпецификацииСоглашений"
	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Спецификации соглашений с клиентами'
	Тогда открылось окно 'Спецификации соглашений с клиентами'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Спецификация соглашения (создание)'
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
	И в поле 'Кратность' я ввожу текст '5,125'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Спецификация соглашения (создание) *' в течение 20 секунд
	Тогда открылось окно 'Спецификации соглашений с клиентами'
	И я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Соглашения с контрагентами'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                               |
		| 'Соглашение для Ашана по скидочному региону' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Подбор номенклатуры'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'    |
		| 'Сыр Костромской' |
		И я нажимаю на кнопку "Иерархия"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Костромской' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на кнопку 'Перенести'
	Тогда открылось окно 'Спецификации соглашений с клиентами'
	И в таблице "Список" я перехожу к строке:
		| 'Кратность' | 'Характеристика' | 'Номенклатура'    | 'Соглашение'                                 |
		|     ''      |       'Ашан'     | 'Сыр Костромской' | 'Соглашение для Ашана по скидочному региону' |
	И в таблице "Список" я перехожу к строке:
		| 'Кратность' | 'Характеристика' | 'Номенклатура'   | 'Соглашение'                                 |
		| '5,125'     | 'Ашан'           | 'Сыр Адыгейский' | 'Соглашение для Ашана по региону без скидки' |
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
	И я перехожу к следующему реквизиту
	И я жду, что в таблице "Список" количество строк будет "равно" 1 в течение 3 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Кратность' |  'Характеристика' | 'Номенклатура'   | 'Соглашение'                                 |
		| '5,125'     | 'Ашан'            | 'Сыр Адыгейский' | 'Соглашение для Ашана по региону без скидки' |
	И я нажимаю кнопку очистить у поля "Соглашение"
	И я жду, что в таблице "Список" количество строк будет "равно" 2 в течение 3 секунд
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И я перехожу к следующему реквизиту
	И я жду, что в таблице "Список" количество строк будет "равно" 1 в течение 3 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Кратность' |  'Характеристика' | 'Номенклатура'   | 'Соглашение'                                 |
		| '5,125'     | 'Ашан'            | 'Сыр Адыгейский' | 'Соглашение для Ашана по региону без скидки' |
	И я нажимаю кнопку очистить у поля "Номенклатура"
	И я нажимаю кнопку очистить у поля "Характеристика"
	И я жду, что в таблице "Список" количество строк будет "равно" 2 в течение 3 секунд
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И я перехожу к следующему реквизиту
	И я жду, что в таблице "Список" количество строк будет "равно" 1 в течение 3 секунд
	И я нажимаю кнопку очистить у поля "Соглашение"
	И я нажимаю кнопку очистить у поля "Номенклатура"
	И я нажимаю кнопку очистить у поля "Характеристика"
	И в таблице "Список" я перехожу к строке:
		| 'Кратность' |  'Характеристика' | 'Номенклатура'    | 'Соглашение'                                 |
		|     ''      |       'Ашан'      | 'Сыр Костромской' | 'Соглашение для Ашана по скидочному региону' |
	И я нажимаю на кнопку 'Изменить соглашение'
	Тогда открылось окно 'Соглашения с контрагентами'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                               |
		| 'Соглашение для Ашана по региону без скидки' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Спецификации соглашений с клиентами'
	И в таблице "Список" я перехожу к строке:
		| 'Кратность' |  'Характеристика'  | 'Номенклатура'    | 'Соглашение'                                 |
		|     ''      |       'Ашан'       | 'Сыр Костромской' | 'Соглашение для Ашана по региону без скидки' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Спецификация соглашения'
	И в поле 'Максимальная отгрузка' я ввожу текст '10,000'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Спецификация соглашения *' в течение 20 секунд
	Тогда открылось окно 'Спецификации соглашений с клиентами'
	И в таблице "Список" я перехожу к строке:
		| 'Кратность' |  'Характеристика' | 'Номенклатура'   | 'Соглашение'                                 |
		| '5,125'     | 'Ашан'            | 'Сыр Адыгейский' | 'Соглашение для Ашана по региону без скидки' |
	И Я закрываю окно 'Спецификации соглашений с клиентами'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 006.5. CheckingCustomerOrders. Создание сезона продукции для куринных крыльев

	Дано я удаляю объекты "Документы.к2СезонПродукции" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Сезоны продукции'
	Тогда открылось окно 'Сезоны продукции'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Сезон продукции (создание)'
	И в поле 'Дата начала' я ввожу текст '01.02.2019'
	И в поле 'Дата окончания' я ввожу текст '04.02.2020'
	И я перехожу к следующему реквизиту
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Крылья куринные (подложка)'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Сезон продукции (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сезоны продукции'
	И Я закрываю окно 'Сезоны продукции'

Сценарий: 006.6. CheckingCustomerOrders. Заполнение регистра Кратность номенклатуры

	Дано я удаляю все элементы таблицы "РегистрСведений.к2КратностьНоменклатуры"
	И Я устанавливаю кратность "5,125" для номенклатуры "Сыр Адыгейский" с характеристикой "Ашан"

Сценарий: 006.7. CheckingCustomerOrders. Дебиторская задолженность

	Дано я удаляю все элементы таблицы "РегистрСведений.к2ДебиторскаяЗадолженность"
	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Дебиторская задолженность'
	Тогда открылось окно 'Дебиторская задолженность'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Дебиторская задолженность (создание)'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
	И в поле 'Задолженность' я ввожу текст '1 000,000'
	И в поле 'Дата задолженности' я ввожу текст '04.02.2020'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Дебиторская задолженность (создание) *' в течение 20 секунд
	Тогда открылось окно 'Дебиторская задолженность'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Дебиторская задолженность (создание)'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для 5ка'
	И в поле 'Задолженность' я ввожу текст '1 000,000'
	И в поле 'Просроченная задолженность' я ввожу текст '1 000,000'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Дебиторская задолженность (создание) *' в течение 20 секунд
	Тогда открылось окно 'Дебиторская задолженность'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Дебиторская задолженность (создание)'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Перекресток'
	И в поле 'Просроченная задолженность' я ввожу текст '2 000,000'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Дебиторская задолженность (создание) *' в течение 20 секунд
	Тогда открылось окно 'Дебиторская задолженность'
	И Я закрываю окно 'Дебиторская задолженность'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 006.8. CheckingCustomerOrders. Проверка на ассортимент
	
	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2ПроверкиДокументов"
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Ашан'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
	И в поле 'Комментарий' я ввожу текст 'Проверка на ассортимент товаров'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '04.02.2020'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Пошехонский" без характеристики в количестве "5,000"
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 12 из 13"
	И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сыр Пошехонский Ашан не отгружается по соглашению Соглашение для Ашана по региону без скидки"
	И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'
	И Я отключаю проверку "Ассортимент товаров" для документа "Документ.ЗаказКлиента"

Сценарий: 006.9. CheckingCustomerOrders. Проверка - графики доставки
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	* Проверка на график доставки
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     |
			| 'Проверка на ассортимент товаров' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '03.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
		И в поле 'Комментарий' я ввожу текст 'Проверка на график доставки'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '03.02.2020'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И я удаляю все строки таблицы "Товары"
		И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "15,000"
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Вторник не является днем доставки."
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	* Проверка на график доставки по товарной категории
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                 |
			| 'Проверка на график доставки' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '03.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
		И в поле 'Комментарий' я ввожу текст 'Проверка на график доставки по товарной категории'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '04.02.2020'
		И я перехожу к следующему реквизиту
		И я удаляю все строки таблицы "Товары"
		И я перехожу к закладке "Товары"
		И Я добавляю в заказ клиента номенклатуру "Крылья куринные (подложка)" без характеристики в количестве "15,000"
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Среда не является днем доставки для Мясо птицы"
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.10. CheckingCustomerOrders. Проверка - дебиторская задолженность
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                     |
		| 'Проверка на ассортимент товаров' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
	И в поле 'Комментарий' я ввожу текст 'Проверка на дебиторскую задолженность'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '04.02.2020'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "30,000"
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 11 из 12"
	И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Текущая задолженность: 1 000,  Подтвержденные отгрузки: 0,  Текущая отгрузка: 15 375,  Максимальная задолженность: 10 000  Разница: 6 375"
	И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.11. CheckingCustomerOrders. Проверка на задолженность
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
	И из выпадающего списка "Контрагент" я выбираю по строке '5ка'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для 5ка'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Точка доставки для 5ка. Без региона'
	И в поле 'Комментарий' я ввожу текст 'Проверка на просроченую задолженность'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '03.02.2020'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "10,000"
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 11 из 12"
	И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Просроченная задолженность 1 000, больше допустимой 0"
	И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.12. CheckingCustomerOrders. Проверка кратности отгрузки
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	* Проверка на кратность отгрузки
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     |
			| 'Проверка на ассортимент товаров' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
		И в поле 'Комментарий' я ввожу текст 'Проверка на кратность отгрузки'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '04.02.2020'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И я удаляю все строки таблицы "Товары"
		И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
		И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
		И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'кг'
		И в таблице "Товары" в поле 'Количество' я ввожу текст '11,000'
		И в таблице "Товары" я завершаю редактирование строки
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке №1 Сыр Адыгейский Ашан заказано 11, не кратно 5,125"
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	* Проверка на кратность отгрузки - по регистру кратность номенклатуры
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                    |
			| 'Проверка на кратность отгрузки' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
		И в поле 'Комментарий' я ввожу текст 'Проверка на кратность отгрузки - по регистру кратность номенклатуры'
		И в поле 'Дата отгрузки' я ввожу текст '04.02.2020'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке №1 Сыр Адыгейский Ашан заказано 11, не кратно 5,125"
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.13. CheckingCustomerOrders. Проверка минимальная сумма
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                     |
		| 'Проверка на ассортимент товаров' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
	И в поле 'Комментарий' я ввожу текст 'Проверка на минимальную сумму'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '04.02.2020'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "4,000"
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '20,00'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 10 из 12"
	И элемент формы с именем '_ДекорацияОшибокПроверок' стал равен 'Сумма документа 410, Минимальная сумма заказа 1 000. Не хватает 590 В строке 1 Для Сыр Адыгейский Ашан цена должна быть 100,00. Текущая цена 20,00'
	И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.14. CheckingCustomerOrders. Проверка дебиторская задолженность - по истории заказов на день
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	* Создание истории заказов на день
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     |
			| 'Проверка на ассортимент товаров' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '03.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '04.02.2020'
		И я перехожу к закладке "Товары"
		И я удаляю все строки таблицы "Товары"
		И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "10,000"
		И в таблице "Товары" я завершаю редактирование строки
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки успешны]'
		И Я закрываю окно 'Заказ клиента * от * [Проверки успешны]'
		Тогда открылось окно 'Заказы клиентов'
	* Проверка дебиторская задолженность - по истории заказов на день
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     |
			| 'Проверка на ассортимент товаров' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '03.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
		И в поле 'Комментарий' я ввожу текст 'Проверка на дебиторскую задолженность - по сумме'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '04.02.2020'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И я удаляю все строки таблицы "Товары"
		И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "10,000"
		И в таблице "Товары" я завершаю редактирование строки
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Текущая задолженность: 1 000,  Подтвержденные отгрузки: 5 125,  Текущая отгрузка: 5 125,  Максимальная задолженность: 10 000  Разница: 1 250"
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.15. CheckingCustomerOrders. Проверка просроченная задолженность - по сумме из соглашения
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	* Прохождение проверки при просроченной задолжности меньше максимальной
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '03.02.2020  0:00:00'
		И из выпадающего списка "Организация" я выбираю по строке 'Организация'
		И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
		И из выпадающего списка "Контрагент" я выбираю по строке 'Перекресток'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Перекресток'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Точка доставки для Перекрестка'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '04.02.2020'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "10,000"
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки успешны]'
		И Я закрываю окно 'Заказ клиента * от * [Проверки успешны]'
		Тогда открылось окно 'Заказы клиентов'
	* Изменение просроченной задолженности для Перекрестка
		И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
		Тогда открылось окно 'Настройки исполнения заказов'
		И я нажимаю на кнопку 'Дебиторская задолженность'
		Тогда открылось окно 'Дебиторская задолженность'
		И в таблице "Список" я перехожу к строке:
			| 'Просроченная задолженность' | 'Соглашение'                 |
			| '2 000,000'                  | 'Соглашение для Перекресток' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Дебиторская задолженность'
		И в поле 'Просроченная задолженность' я ввожу текст '4 000,000'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Дебиторская задолженность *' в течение 20 секунд
		Тогда открылось окно 'Дебиторская задолженность'
		И Я закрываю окно 'Дебиторская задолженность'
		Тогда открылось окно 'Настройки исполнения заказов'
		И Я закрываю окно 'Настройки исполнения заказов'
	* Проверка на просроченную задолженность - по сумме из соглашения
		Тогда открылось окно 'Заказы клиентов'
		И в таблице "Список" я перехожу к строке:
			| 'Контрагент'  | 'Состояние'        |
			| 'Перекресток' | 'Проверки успешны' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
		И в поле 'Комментарий' я ввожу текст 'Проверка на просроченную задолженность - по сумме из соглашения'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '05.02.2020'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Просроченная задолженность 4 000, больше допустимой 3 000"
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.16. CheckingCustomerOrders. Проверка на сезонность
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                       |
		| 'Проверка на график доставки по товарной категории' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
	И в поле 'Комментарий' я ввожу текст 'Проверка на сезонность'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '20.02.2020'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 11 из 12"
	И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 20 февраля 2020 г."
	И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.17. CheckingCustomerOrders. Проверка на доступность для продажи
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	* Проверка на доступность для продажи - до
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                                       |
			| 'Проверка на график доставки по товарной категории' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
		И в поле 'Комментарий' я ввожу текст 'Проверка на доступность для продажи - до'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '27.12.2018'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И в таблице "Товары" я перехожу к строке:
			| 'Номенклатура'               |
			| 'Крылья куринные (подложка)' |
		И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
		И в таблице "Товары" я завершаю редактирование строки
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 10 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 27 декабря 2018 г. Крылья куринные (подложка) недоступна для отгрузки 27 декабря 2018 г., будет доступна с 1 января 2019 г."
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	* Проверка на доступность для продажи - после
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                              |
			| 'Проверка на доступность для продажи - до' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
		И в поле 'Комментарий' я ввожу текст 'Проверка на доступность для продажи - после'
		И в поле 'Дата отгрузки' я ввожу текст '12.03.2020'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 10 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 12 марта 2020 г. Крылья куринные (подложка) недоступна для отгрузки 12 марта 2020 г., была выведена из продажи с 1 марта 2020 г."
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.18. CheckingCustomerOrders. Проверка на допустимый объем отгрузок

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                     |
		| 'Проверка на ассортимент товаров' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
	И в поле 'Комментарий' я ввожу текст 'Проверка на допустимый объем отгрузок'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '20.02.2020'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" без характеристики в количестве "15,000"
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 11 из 12"
	И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "По соглашению Соглашение для Ашана по региону без скидки для Сыр Костромской Ашан подтверждено 0, в документе 76,875,  максимально допустимый объем 10.  Превышено на 66,875"
	И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.19. CheckingCustomerOrders. Проверка на допустимый объем отгрузок - по сумме

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	* Создание истории продаж
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     |
			| 'Проверка на ассортимент товаров' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '20.02.2020'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И я удаляю все строки таблицы "Товары"
		И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" без характеристики в количестве "1,000"
		И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '200,00'
		И из выпадающего списка с именем "Состояние" я выбираю точное значение 'Проверки успешны'
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки успешны]'
		И Я закрываю окно 'Заказ клиента * от * [Проверки успешны]'
		Тогда открылось окно 'Заказы клиентов'
	* Проверка на допустимый объем отгрузок - по сумме
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     |
			| 'Проверка на ассортимент товаров' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
		И в поле 'Комментарий' я ввожу текст 'Проверка на допустимый объем отгрузок - по сумме'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '20.02.2020'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И я удаляю все строки таблицы "Товары"
		И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" без характеристики в количестве "10,000"
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "По соглашению Соглашение для Ашана по региону без скидки для Сыр Костромской Ашан подтверждено 5,125, в документе 51,25,  максимально допустимый объем 10.  Превышено на 46,375"
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.20. CheckingCustomerOrders. Проверка на допустимую сумму отгрузки

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                     |
		| 'Проверка на ассортимент товаров' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '18.02.2020  0:00:00'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по Скидочному региону'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Скидочный регион'
	И в поле 'Комментарий' я ввожу текст 'Проверка на допустимую сумму отгрузки'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '18.02.2020'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "110,000"
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 11 из 12"
	И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "На 18 февраля 2020 г. по соглашению Соглашение для Ашана по Скидочному региону подтверждено 0,  в документе 51 994,66,  максимально допустимая сумма 50 000.  Превышено на 1 994,66"
	И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.21. CheckingCustomerOrders. Проверка на допустимую сумму отгрузки - по сумме

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	* Создание истории продаж
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     |
			| 'Проверка на ассортимент товаров' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '18.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по Скидочному региону'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Скидочный регион'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '18.02.2020'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И я удаляю все строки таблицы "Товары"
		И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "55,000"
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки успешны]'
		И Я закрываю окно 'Заказ клиента * от * [Проверки успешны]'
		Тогда открылось окно 'Заказы клиентов'
	* Проверка на допустимую сумму отгрузки - по сумме
		И в таблице "Список" я перехожу к строке:
			| 'Контрагент' | 'Состояние'        | 'Отгрузка'   |
			| 'Ашан'       | 'Проверки успешны' | '18.02.2020' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ клиента (создание)'
		И в поле с именем 'Дата' я ввожу текст '18.02.2020  0:00:00'
		И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по Скидочному региону'
		И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Скидочный регион'
		И в поле 'Комментарий' я ввожу текст 'Проверка на допустимую сумму отгрузки - по сумме'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '18.02.2020'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "На 18 февраля 2020 г. по соглашению Соглашение для Ашана по Скидочному региону подтверждено 25 997,33,  в документе 25 997,33,  максимально допустимая сумма 50 000.  Превышено на 1 994,66"
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.22. CheckingCustomerOrders. Проверка на количество дней отсрочки платежа

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                     |
		| 'Проверка на ассортимент товаров' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '11.02.2020  0:00:00'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
	И в поле 'Комментарий' я ввожу текст 'Проверка на количество дней отсрочки платежа'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '11.02.2020'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "5,000"
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 11 из 12"
	И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "По соглашению Соглашение для Ашана по региону без скидки на 11 февраля 2020 г. превышено ожидание по оплате от 4 февраля 2020 г."
	И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.23. CheckingCustomerOrders. Проверка времени приема заказа

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                     |
		| 'Проверка на ассортимент товаров' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '10.02.2020  0:00:00'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по Скидочному региону'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Скидочный регион'
	И в поле 'Комментарий' я ввожу текст 'Проверка времени приема заказа'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '10.02.2020'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" без характеристики в количестве "5,000"
	И в таблице "Товары" из выпадающего списка "Склад отгрузки" я выбираю по строке 'Склад готовой продукции'
	И в таблице "Товары" я завершаю редактирование строки
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "5,000"
	И в таблице "Товары" из выпадающего списка "Склад отгрузки" я выбираю по строке 'Склад готовой продукции'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 11 из 12"
	И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Дата заказа 10 февраля 2020 г. для Склад готовой продукции Твердые сыры должна быть не менее 2 дней до даты отгрузки 10 февраля 2020 г. 	Дата заказа 10 февраля 2020 г. для Склад готовой продукции Мягкие сыры должна быть не менее 3 дней до даты отгрузки 10 февраля 2020 г."
	И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.24. CheckingCustomerOrders. Установка скидки на товарную категорию в соглашении

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Соглашения с контрагентами'
	Тогда открылось окно 'Соглашения с контрагентами'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                       |
		| 'Соглашение для Обычного покупателя' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Соглашение для Обычного покупателя (Соглашение с контрагентом)'
	И из выпадающего списка с именем "Ответственный" я выбираю по строке 'Администратор'
	И я перехожу к закладке с именем "СтраницаЦеновыеУсловия"
	И в таблице "ЦеновыеУточнения" я нажимаю на кнопку с именем 'ЦеновыеУточненияДобавить'
	И в таблице "ЦеновыеУточнения" из выпадающего списка с именем "ЦеновыеУточненияТоварнаяКатегория" я выбираю по строке 'Твердые сыры'
	И в таблице "ЦеновыеУточнения" в поле с именем 'ЦеновыеУточненияПроцентСкидки' я ввожу текст '10,00'
	И в таблице "ЦеновыеУточнения" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Соглашение для Обычного покупателя (Соглашение с контрагентом) *' в течение 20 секунд
	Тогда открылось окно 'Соглашения с контрагентами'
	И Я закрываю окно 'Соглашения с контрагентами'

Сценарий: 006.25. CheckingCustomerOrders. Проверка цены

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	* Проверка цены без скидки
		И Я начинаю создавать заказ покупателя без холдинга "Обычный покупатель" в точку доставки "Обычная точка доставки" организации "Организация" и подразделению "Подразделение приемки заказов"
		И в поле 'Дата' я ввожу текст '10.02.2020  0:00:00'
		И в поле 'Комментарий' я ввожу текст 'Проверка цены без скидки'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '11.02.2020'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "10,000"
		И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '80,00'
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке 1 Для Сыр Адыгейский <Без маркировки> цена должна быть 85,00. Текущая цена 80,00"
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	* Проверка цены со скидкой по уточнению в соглашении
		И Я начинаю создавать заказ покупателя без холдинга "Обычный покупатель" в точку доставки "Обычная точка доставки" организации "Организация" и подразделению "Подразделение приемки заказов"
		И в поле 'Дата' я ввожу текст '10.02.2020  0:00:00'
		И в поле 'Комментарий' я ввожу текст 'Проверка цены со скидкой по уточнению в соглашении'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '11.02.2020'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" с характеристикой "<Без маркировки>" в количестве "10,000"
		И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '80,00'
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке 1 Для Сыр Костромской <Без маркировки> цена должна быть 40,50. Текущая цена 80,00"
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	* Проверка цены со скидкой (документ скидка)
		И Я начинаю создавать заказ покупателя без холдинга "Обычный покупатель" в точку доставки "Обычная точка доставки" организации "Организация" и подразделению "Подразделение приемки заказов"
		И в поле 'Дата' я ввожу текст '02.08.2019  0:00:00'
		И в поле 'Комментарий' я ввожу текст 'Проверка цены со скидкой'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '11.02.2020'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "10,000"
		И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '80,00'
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ клиента * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке 1 Для Сыр Адыгейский <Без маркировки> цена должна быть 82,17. Текущая цена 77,34"
		И Я закрываю окно 'Заказ клиента * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы клиентов'
	И Я отключаю проверку "Цены" для документа "Документ.ЗаказКлиента"
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.26. CheckingCustomerOrders. Форма списка заказов при использовании проверок

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	* Проверка всех состояний
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     | 'Состояние'           |
			| 'Проверка на ассортимент товаров' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 12 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сыр Пошехонский Ашан не отгружается по соглашению Соглашение для Ашана по региону без скидки"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                 | 'Состояние'           |
			| 'Проверка на график доставки' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Вторник не является днем доставки."
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     				  | 'Состояние'           |
			| 'Проверка на график доставки по товарной категории' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Среда не является днем доставки для Мясо птицы"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                           | 'Состояние'           |
			| 'Проверка на дебиторскую задолженность' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Текущая задолженность: 1 000,  Подтвержденные отгрузки: 0,  Текущая отгрузка: 15 375,  Максимальная задолженность: 10 000  Разница: 6 375"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                           | 'Состояние'           |
			| 'Проверка на просроченую задолженность' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Просроченная задолженность 1 000, больше допустимой 0"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                    | 'Состояние'           |
			| 'Проверка на кратность отгрузки' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке №1 Сыр Адыгейский Ашан заказано 11, не кратно 5,125"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                                                         | 'Состояние'           |
			| 'Проверка на кратность отгрузки - по регистру кратность номенклатуры' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке №1 Сыр Адыгейский Ашан заказано 11, не кратно 5,125"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                   | 'Состояние'           |
			| 'Проверка на минимальную сумму' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 10 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сумма документа 410, Минимальная сумма заказа 1 000. Не хватает 590 В строке 1 Для Сыр Адыгейский Ашан цена должна быть 100,00. Текущая цена 20,00"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                                      | 'Состояние'           |
			| 'Проверка на дебиторскую задолженность - по сумме' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Текущая задолженность: 1 000,  Подтвержденные отгрузки: 5 125,  Текущая отгрузка: 5 125,  Максимальная задолженность: 10 000  Разница: 1 250"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                                      				| 'Состояние'           |
			| 'Проверка на просроченную задолженность - по сумме из соглашения' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Просроченная задолженность 4 000, больше допустимой 3 000"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'            | 'Состояние'           |
			| 'Проверка на сезонность' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 20 февраля 2020 г."
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     		 | 'Состояние'           |
			| 'Проверка на доступность для продажи - до' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 10 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 27 декабря 2018 г. Крылья куринные (подложка) недоступна для отгрузки 27 декабря 2018 г., будет доступна с 1 января 2019 г."
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     		    | 'Состояние'           |
			| 'Проверка на доступность для продажи - после' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 10 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 12 марта 2020 г. Крылья куринные (подложка) недоступна для отгрузки 12 марта 2020 г., была выведена из продажи с 1 марта 2020 г."
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                           | 'Состояние'           |
			| 'Проверка на допустимый объем отгрузок' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "По соглашению Соглашение для Ашана по региону без скидки для Сыр Костромской Ашан подтверждено 0, в документе 76,875,  максимально допустимый объем 10.  Превышено на 66,875"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                                      | 'Состояние'           |
			| 'Проверка на допустимый объем отгрузок - по сумме' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "По соглашению Соглашение для Ашана по региону без скидки для Сыр Костромской Ашан подтверждено 5,125, в документе 51,25,  максимально допустимый объем 10.  Превышено на 46,375"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                           | 'Состояние'           |
			| 'Проверка на допустимую сумму отгрузки' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "На 18 февраля 2020 г. по соглашению Соглашение для Ашана по Скидочному региону подтверждено 0,  в документе 51 994,66,  максимально допустимая сумма 50 000.  Превышено на 1 994,66"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                                      | 'Состояние'           |
			| 'Проверка на допустимую сумму отгрузки - по сумме' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "На 18 февраля 2020 г. по соглашению Соглашение для Ашана по Скидочному региону подтверждено 25 997,33,  в документе 25 997,33,  максимально допустимая сумма 50 000.  Превышено на 1 994,66"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                                  | 'Состояние' |
			| 'Проверка на количество дней отсрочки платежа' | 'Проверки не успешны'      |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "По соглашению Соглашение для Ашана по региону без скидки на 11 февраля 2020 г. превышено ожидание по оплате от 4 февраля 2020 г."
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                    | 'Состояние'           |
			| 'Проверка времени приема заказа' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Дата заказа 10 февраля 2020 г. для Склад готовой продукции Твердые сыры должна быть не менее 2 дней до даты отгрузки 10 февраля 2020 г. 	Дата заказа 10 февраля 2020 г. для Склад готовой продукции Мягкие сыры должна быть не менее 3 дней до даты отгрузки 10 февраля 2020 г."
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'              | 'Состояние'           |
			| 'Проверка цены без скидки' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке 1 Для Сыр Адыгейский <Без маркировки> цена должна быть 85,00. Текущая цена 80,00"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                                        | 'Состояние'           |
			| 'Проверка цены со скидкой по уточнению в соглашении' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке 1 Для Сыр Костромской <Без маркировки> цена должна быть 40,50. Текущая цена 80,00"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'              | 'Состояние'           |
			| 'Проверка цены со скидкой' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 12"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке 1 Для Сыр Адыгейский <Без маркировки> цена должна быть 82,17. Текущая цена 77,34"
	* Установка состояния
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     | 'Состояние'           |
			| 'Проверка на ассортимент товаров' | 'Проверки не успешны' |
		И я нажимаю на кнопку 'Установить состояние'
		Тогда открылось окно 'Состояния документов'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'     |
			| 'Проверки успешны' |
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     | 'Состояние'        |
			| 'Проверка на ассортимент товаров' | 'Проверки успешны' |
	* Проверка открытия гиперссылки дебиторская задолженность
		И у поля "Дебиторская задолженность" я нажимаю гиперссылку 'Дебиторская задолженность'
		Тогда открылось окно 'Дебиторская задолженность'
		И в таблице "Список" я перехожу к строке:
			| 'Соглашение'                                 | 'Задолженность' | 'Просроченная задолженность' |
			| 'Соглашение для Ашана по региону без скидки' | '1 000,000'     | ''                           |
		И Я закрываю окно 'Дебиторская задолженность'
		Тогда открылось окно 'Заказы клиентов'
	* Проверка работы кнопки Проверить документы и открытия гиперссылки спецификации соглашений
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                 | 'Состояние'           |
			| 'Проверка на график доставки' | 'Проверки не успешны' |
		И у поля "Спецификации соглашений" я нажимаю гиперссылку 'Спецификации соглашений'
		Тогда открылось окно 'Спецификации соглашений с клиентами'
		И в таблице "Список" я перехожу к строке:
			| 'Кратность' | 'Характеристика' | 'Номенклатура'   | 'Соглашение'                                 |
			| '5,125'     | 'Ашан'           | 'Сыр Адыгейский' | 'Соглашение для Ашана по региону без скидки' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Спецификация соглашения'
		И в поле 'Кратность' я ввожу текст '6,000'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Спецификация соглашения *' в течение 20 секунд
		Тогда открылось окно 'Спецификации соглашений с клиентами'
		И Я закрываю окно 'Спецификации соглашений с клиентами'
		Тогда открылось окно 'Заказы клиентов'
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                 | 'Состояние'           |
			| 'Проверка на график доставки' | 'Проверки не успешны' |
		И я нажимаю на кнопку 'Проверить документы'
		И я активизирую поле "Успешно 8 из 11"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Вторник не является днем доставки. Текущая задолженность: 1 000,  Подтвержденные отгрузки: 12 556,25,  Текущая отгрузка: 7 687,5,  Максимальная задолженность: 10 000  Разница: 11 243,75 В строке №1 Сыр Адыгейский Ашан заказано 76,875, не кратно 6"
		И у поля "Спецификации соглашений" я нажимаю гиперссылку 'Спецификации соглашений'
		Тогда открылось окно 'Спецификации соглашений с клиентами'
		И в таблице "Список" я перехожу к строке:
			| 'Кратность' | 'Характеристика' | 'Номенклатура'   | 'Соглашение'                                 |
			| '6,000'     | 'Ашан'           | 'Сыр Адыгейский' | 'Соглашение для Ашана по региону без скидки' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Спецификация соглашения'
		И в поле 'Кратность' я ввожу текст '5,125'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Спецификация соглашения *' в течение 20 секунд
		Тогда открылось окно 'Спецификации соглашений с клиентами'
		И Я закрываю окно 'Спецификации соглашений с клиентами'
		Тогда открылось окно 'Заказы клиентов'
	* Проверка открытия гиперссылки сезонная номенклатура
		И у поля "Сезонная номенклатура" я нажимаю гиперссылку 'Сезонная номенклатура'
		Тогда открылось окно 'Сезоны продукции'
		И в таблице "Список" я перехожу к строке:
			| 'Дата начала' | 'Дата окончания' |
			| '01.02.2019'  | '04.02.2020'     |
		И Я закрываю окно 'Сезоны продукции'
		Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 006.27. CheckingCustomerOrders. Завершение

	И я закрываю сеанс TESTCLIENT